﻿@using Microsoft.AspNetCore.Http;

@{
    var isAdmin = Context.Session.GetString("isAdmin") == "true" ? true : false;
    var userName = Context.Session.GetString("username");
    var isLogin = Context.Session.GetString("isLogin") == "true" ? true : false;
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - footlucker</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" href="~/css/site.css" />
        <link rel="stylesheet" href="~/css/globals.css" />
        <link rel="stylesheet" href="~/css/Branches.css" />
        <link rel="stylesheet" href="~/css/home.css" />
        <link rel="stylesheet" href="~/css/admin.css" />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto">
    </environment>
</head>
<body dir="rtl">
    <nav class="navbar-inverse navbar-fixed-top navbar_override">
        <div class="container">
            <div class="navbar-header" style="float:right">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a asp-area="" asp-controller="Home" asp-action="Index" class="navbar-brand"><img class="footluckerImage" src="~/images/footlucker.png" /></a>
            </div>
            <div class="navbar-collapse collapse" style="float:right">

                <ul class="nav navbar-nav">
                    @{
                        if (isAdmin)
                        {
                            <li><a asp-area="" asp-controller="Users" asp-action="Index">משתמשים</a></li>
                            <li><a asp-area="" asp-controller="Admin" asp-action="Index">ניהול</a></li>
                        }
                    }
                    <li><a asp-area="" asp-controller="Suppliers" asp-action="Index">ספקים</a></li>
                    <li><a asp-area="" asp-controller="Products" asp-action="Index">מוצרים</a></li>
                    <li><a asp-area="" asp-controller="Branches" asp-action="Index">סניפים</a></li>
                </ul>

            </div>
            <div class="navbar-collapse collapse" style="float:left">
                @{
                    if (isLogin)
                    {
                        <ul class="nav navbar-nav">
                            <li><a asp-area="" asp-controller="Users" asp-action="Logout">התנתק</a></li>
                        </ul>
                        <span class="navbar-text">
                            @("שלום, " + userName)
                        </span>
                    }
                    else
                    {
                        <ul class="nav navbar-nav">
                            <li><a asp-area="" asp-controller="Users" asp-action="Login">התחבר</a></li>
                        </ul>
                        <span class="navbar-text">
                            @("שלום, אורח")
                        </span>
                    }
                }
            </div>
        </div>
    </nav>

    <div class="body-content">

        @RenderBody()

    </div>

    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.js"></script>
        <script src="~/js/site.js" asp-append-version="true"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://ajax.aspnetcdn.com/ajax/jquery/jquery-3.3.1.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha384-tsQFqpEReu7ZLhBV2VZlAu7zcOV+rXbYlF2cqB8txI/8aZajjp4Bqd+V6D5IgvKT">
        </script>
        <script src="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/bootstrap.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa">
        </script>
        <script src="~/js/site.min.js" asp-append-version="true"></script>
    </environment>

    @RenderSection("Scripts", required: false)
</body>
</html>
